/*
File Name: Controller.h
Created By: Andy Odle
Date: Oct 13, 2009

Description: 
    
    
*/

#ifndef Controller_h
#define Controller_h

#include <list>
using namespace std;

class View;
class Model;

class Controller
{
    
    public:
        
        virtual void AtachView(View *view_p) = 0;
        virtual void DetachView(View *view_p) = 0;
        virtual void NotifyViews(Model *model_p) = 0;

    protected:
    
        list<View*> viewList_m;
        list<View*>::iterator viewListIterator_m;
};

#endif
